Page MenuHomePhabricator

Kotlin-based projects cannot use libwf-java
Open, Unbreak Now!Public

Description

Error from gradle is Error: Program type already present: javax.annotation.CheckReturnValue. Also, there's a warning that there are version conflicts in the Kotlin runtime library. I know the fix and will send a differential shortly.
Using latest version (0.9.5 from maven)
This makes the library impossible to use.

Event Timeline

Hackintosh5 triaged this task as Unbreak Now! priority.Feb 28 2019, 1:49 PM
Hackintosh5 created this task.

The lib is NOT ready to be used before 1.0. There's no point trying, there are multiple things that are not ready.

CLOVIS removed a parent task: T363: Release 1.0.
CLOVIS added a subtask: T363: Release 1.0.